API Direct
Endpoints
Twitter User Following

Twitter User Following

GET /v1/twitter/user/following
Documentation

Get the accounts that a specific Twitter/X user is following. Returns profile details for each followed account. Supports pagination.

Cost
$0.006 per page
Free tier
50 requests/month

Parameters

username *
Twitter username (without @, max 50 characters)
pages
Number of pages to fetch, 1-10 (default: 1)

Example Request

curl "https://apidirect.io/v1/twitter/user/following?username=elonmusk&pages=1" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "following": [
    {
      "username": "SpaceX",
      "name": "SpaceX",
      "user_id": "34743251",
      "description": "SpaceX designs, manufactures and launches...",
      "followers_count": 35000000,
      "following_count": 50,
      "tweet_count": 5000,
      "verified": true,
      "profile_image_url": "https://pbs.twimg.com/profile_images/.../photo.jpg",
      "created_at": "2009-04-23 19:30:00",
      "url": "https://twitter.com/SpaceX"
    }
  ],
  "username": "elonmusk",
  "pages": 1,
  "count": 20
}

Your Usage

Free tier this month
Loading...
Recent Activity